summarylogtreecommitdiffstats
path: root/escrcpy.sh
diff options
context:
space:
mode:
authorzxp198210052024-02-02 18:50:07 +0800
committerzxp198210052024-02-02 18:50:07 +0800
commitc67f6cabebd0c011a89d0592ef67231b99a96b7d (patch)
tree9eed5098107f223eca1026afabf832ef2c3d7eb4 /escrcpy.sh
parent2a7bdbdd23d296b47c6eda371c03b9ceb4b60796 (diff)
downloadaur-c67f6cabebd0c011a89d0592ef67231b99a96b7d.tar.gz
fix errors
Diffstat (limited to 'escrcpy.sh')
-rw-r--r--escrcpy.sh11
1 files changed, 4 insertions, 7 deletions
diff --git a/escrcpy.sh b/escrcpy.sh
index c77c53567639..f9ced1432cfc 100644
--- a/escrcpy.sh
+++ b/escrcpy.sh
@@ -1,17 +1,14 @@
#!/bin/sh
set -e
_APPDIR="/usr/lib/@appname@"
-_ASAR="${_APPDIR}/@appasar@"
+_RUNNAME="${_APPDIR}/@runname@"
export PATH="${_APPDIR}:${PATH}"
export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
export ELECTRON_IS_DEV=0
export NODE_ENV=production
+cd "${_APPDIR}"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- cd "${_APPDIR}"
- exec electron@electronversion@ "${_ASAR}" "$@"
- exit
+ exec electron@electronversion@ "${_RUNNAME}" "$@" || exit $?
else
- cd "${_APPDIR}"
- exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@"
- exit
+ exec electron@electronversion@ "${_RUNNAME}" --no-sandbox "$@" || exit $?
fi \ No newline at end of file